package com.heyu.api.data.service.system;
/**
* <p>
* 自定义命令和设备动作绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.system.SystemTalkBindDeviceEntity;
public interface SystemTalkBindDeviceService extends IService<SystemTalkBindDeviceEntity> {



	SystemTalkBindDeviceEntity selectSystemTalkBindDeviceById(Long id);


	Long insertSystemTalkBindDevice(SystemTalkBindDeviceEntity systemTalkBindDevice);


	Long insertOrUpdateSystemTalkBindDevice(SystemTalkBindDeviceEntity systemTalkBindDevice);


	int updateSystemTalkBindDeviceById(SystemTalkBindDeviceEntity systemTalkBindDevice);


	int updateCoverSystemTalkBindDeviceById(SystemTalkBindDeviceEntity systemTalkBindDevice);


	int deleteSystemTalkBindDeviceById(Long id);


}